Public Class 系統通用變數管理
    ReadOnly ds4 As New DataSet
    Dim GGHH As Integer : Dim FFGG As Integer
    Private Sub Set_伺服器1清單()
        Dim ds8 As New DataSet : 資料庫清單1_dgv.DataSource = Nothing : ds8.Clear()
        資料庫清單1_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        資料庫清單1_dgv.ColumnHeadersHeight = 25 : 資料庫清單1_dgv.AllowUserToAddRows = False
        SQL_伺服器1清單() : da.Fill(ds8) : 資料庫清單1_dgv.DataSource = ds8.Tables(0) : conn.Close()
    End Sub
    Private Sub Set_工程圖片資料庫狀態()
        Dim ds9 As New DataSet : 工程圖片資料庫管理_dgv.DataSource = Nothing : ds9.Clear()
        工程圖片資料庫管理_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        工程圖片資料庫管理_dgv.ColumnHeadersHeight = 25 : 工程圖片資料庫管理_dgv.AllowUserToAddRows = False
        SQL_圖片資料庫管理查詢() : da.Fill(ds9) : 工程圖片資料庫管理_dgv.DataSource = ds9.Tables(0) : conn.Close()
        工程圖片資料庫管理_dgv.Columns(0).FillWeight = 100 : 工程圖片資料庫管理_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_工程文件資料庫狀態()
        Dim ds9 As New DataSet : 工程文件資料庫管理_dgv.DataSource = Nothing : ds9.Clear()
        工程文件資料庫管理_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        工程文件資料庫管理_dgv.ColumnHeadersHeight = 25 : 工程文件資料庫管理_dgv.AllowUserToAddRows = False
        SQL_文件資料庫管理查詢() : da.Fill(ds9) : 工程文件資料庫管理_dgv.DataSource = ds9.Tables(0) : conn.Close()
        工程文件資料庫管理_dgv.Columns(0).FillWeight = 100 : 工程文件資料庫管理_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_伺服器狀態()
        Dim ds8 As New DataSet : 伺服器狀態_dgv.DataSource = Nothing : ds8.Clear()
        伺服器狀態_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        伺服器狀態_dgv.ColumnHeadersHeight = 25 : 伺服器狀態_dgv.AllowUserToAddRows = False
        SQL_資料庫狀態() : da.Fill(ds8) : 伺服器狀態_dgv.DataSource = ds8.Tables(0) : conn.Close() : Set_進度條顯示()
        伺服器狀態_dgv.Columns(4).DefaultCellStyle.Format = "#,##0.000"
        伺服器狀態_dgv.Columns(5).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        伺服器狀態_dgv.Columns(5).HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter
        伺服器狀態_dgv.Columns(0).FillWeight = 120 : 伺服器狀態_dgv.Columns(1).FillWeight = 180
        伺服器狀態_dgv.Columns(2).FillWeight = 55 : 伺服器狀態_dgv.Columns(3).FillWeight = 70
        伺服器狀態_dgv.Columns(4).Visible = False
    End Sub
    Private Sub Set_進度條顯示()
        Dim Col As New DataGridViewProgressColumn With {
            .FillWeight = 100,
            .DataPropertyName = "容量"
        }
        Col.HeaderText = "使用容量" : Col.Name = "容量" : Col.DataPropertyName = "使用容量"
        伺服器狀態_dgv.Columns.Insert(5, Col)
    End Sub
    Private Sub 修改_bt_MouseEnter(sender As Object, e As EventArgs) Handles 修改_bt.MouseEnter
        ToolTip1.SetToolTip(Me.修改_bt, "修改")
    End Sub
    Private Sub 閒置時間修改_bt_MouseEnter(sender As Object, e As EventArgs) Handles 閒置時間修改_bt.MouseEnter
        ToolTip1.SetToolTip(Me.閒置時間修改_bt, "閒置時間修改")
    End Sub
    Private Sub 圖片資料庫管理修改_bt_MouseEnter(sender As Object, e As EventArgs) Handles 圖片資料庫管理修改_bt.MouseEnter
        ToolTip1.SetToolTip(Me.圖片資料庫管理修改_bt, "圖片資料庫管理修改")
    End Sub
    Private Sub 文件資料庫管理修改_bt_MouseEnter(sender As Object, e As EventArgs) Handles 文件資料庫管理修改_bt.MouseEnter
        ToolTip1.SetToolTip(Me.文件資料庫管理修改_bt, "文件資料庫管理修改")
    End Sub
    Private Sub 系統通用變數管理_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '------DGV清單進度條參數設定--------------------------------------------------------------------------
        分母 = MAX_nud.Value : 分段1 = 0.2 : 分段2 = 0.19 : 分段3 = 0.8 : 分段4 = 0.79 : 進度條後墜 = " MB"
        Me.MdiParent = YS_ERP_SYS : Me.WindowState = 2 : Me.AutoScroll = True
        密碼重設天數_tb.Text = 密碼時限 : Panel3.SendToBack() : 首次開啟 = True
        伺服器狀態_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 7.6)
        工程圖片資料庫管理_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 7.6)
        工程文件資料庫管理_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 7.6)
    End Sub
    Private Sub 系統通用變數管理_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        SQL_系統預設值()
        If dr.Read() Then
            If IsDBNull(dr("密碼重設天數")) = False Then : 密碼重設天數_tb.Text = dr("密碼重設天數") : End If
            If IsDBNull(dr("行政採購二級")) = False Then : 行政簽核_tb.Text = dr("行政採購二級") : End If
            If IsDBNull(dr("建築採購二級")) = False Then : 建築簽核_tb.Text = dr("建築採購二級") : End If
            If IsDBNull(dr("行政採購二級")) = False Then : NUP_1.Value = dr("行政採購二級") : End If
            If IsDBNull(dr("建築採購二級")) = False Then : NUP_2.Value = dr("建築採購二級") : End If
            If IsDBNull(dr("比例1")) = False Then : NUP_3.Value = dr("比例1") : End If
            If IsDBNull(dr("比例2")) = False Then : NUP_4.Value = dr("比例2") : End If
            If IsDBNull(dr("比例3")) = False Then : NUP_5.Value = dr("比例3") : End If
            If IsDBNull(dr("圖片伺服器上限")) = False Then : MAX_nud.Value = dr("圖片伺服器上限") : End If
            If IsDBNull(dr("圖片伺服器上限")) = False Then : 分母 = dr("圖片伺服器上限") : End If
            公司名稱_tb.Text = dr("公司名稱").ToString : 地址_tb.Text = dr("地址").ToString : 電話_tb.Text = dr("電話").ToString : 傳真_tb.Text = dr("傳真").ToString
            簡稱_tb.Text = dr("簡稱").ToString
        End If
        Set_伺服器狀態() : Set_伺服器1清單() : Set_工程圖片資料庫狀態() : Set_工程文件資料庫狀態()
        SQL_系統閒置時間設定讀取()
        If dr.Read() Then : 時間1_tb.Text = dr("timeExit") : 時間2_tb.Text = dr("timeExit2") : End If : conn.Close()
        GGHH = Val(時間1_tb.Text) : FFGG = Val(時間2_tb.Text) : 首次開啟 = False
    End Sub
    Private Sub 介面關閉_Closed(sender As Object, e As EventArgs) Handles MyBase.Closed
        MyModule1.虛擬桌面開啟()
    End Sub
    Private Sub 登入閒置控制_MouseMove(sender As Object, e As EventArgs) Handles MyBase.MouseMove
        timeNow = 0 : YS_ERP_SYS.Timer1.Enabled = False : YS_ERP_SYS.Timer1.Enabled = True
    End Sub
    Private Sub 登入閒置控制_KeyPress(sender As Object, e As EventArgs) Handles MyBase.KeyPress
        timeNow = 0 : YS_ERP_SYS.Timer1.Enabled = False : YS_ERP_SYS.Timer1.Enabled = True
    End Sub
    Private Sub 工程圖片資料庫管理_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 工程圖片資料庫管理_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            圖片資料庫名稱_tb.Text = 工程圖片資料庫管理_dgv(0, e.RowIndex).Value.ToString : 是否可用_ch.Checked = 工程圖片資料庫管理_dgv(1, e.RowIndex).Value
        End If
    End Sub
    Private Sub 工程文件資料庫管理_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 工程文件資料庫管理_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            文件資料庫名稱_tb.Text = 工程文件資料庫管理_dgv(0, e.RowIndex).Value.ToString : 是否可用1_ch.Checked = 工程文件資料庫管理_dgv(1, e.RowIndex).Value
        End If
    End Sub
    Private Sub 伺服器狀態_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 伺服器狀態_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            圖片資料庫名稱_tb.Text = 伺服器狀態_dgv(0, e.RowIndex).Value.ToString : 文件資料庫名稱_tb.Text = 伺服器狀態_dgv(0, e.RowIndex).Value.ToString
            是否可用_ch.Checked = False : 是否可用1_ch.Checked = False
        End If
    End Sub
    Private Sub 伺服器狀態_dgv_RowPostPaint(ByVal sender As Object, ByVal e As DataGridViewRowPostPaintEventArgs) Handles 伺服器狀態_dgv.RowPostPaint
        Dim linePen As New Pen(Color.Blue, 2)
        If e.RowIndex = 伺服器狀態_dgv.Rows.Count - 1 Then : Exit Sub : Else
            If 伺服器狀態_dgv(0, e.RowIndex).Value.ToString <> 伺服器狀態_dgv(0, e.RowIndex + 1).Value.ToString Then
                Dim startX As Integer = IIf(伺服器狀態_dgv.RowHeadersVisible, 伺服器狀態_dgv.RowHeadersWidth, 0)
                Dim startY As Integer = e.RowBounds.Top + e.RowBounds.Height - 1
                Dim endX As Integer = startX + 伺服器狀態_dgv.Columns.GetColumnsWidth(DataGridViewElementStates.Visible) - 伺服器狀態_dgv.HorizontalScrollingOffset
                e.Graphics.DrawLine(linePen, startX, startY, endX, startY)
                Exit Sub
            End If
        End If
    End Sub
    Private Sub 閒置時間修改_bt_Click(sender As Object, e As EventArgs) Handles 閒置時間修改_bt.Click
        PA1 = GGHH : PA2 = FFGG : SQL_系統閒置時間設定修改() : conn.Close()
        GGHH = Val(時間1_tb.Text) : FFGG = Val(時間2_tb.Text) : timeExit = GGHH : timeExit2 = FFGG : MsgBox("存檔完成!!")
    End Sub
    Private Sub 修改_bt_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        SQL_系統預測值修改()
        密碼時限 = 密碼重設天數_tb.Text : 行政採購簽核級別基數 = NUP_2.Value : 建築採購簽核級別基數 = NUP_1.Value
        比例1 = NUP_3.Value : 比例2 = NUP_4.Value : 比例3 = NUP_5.Value : 分母 = MAX_nud.Value : MsgBox("存檔完成!!")
    End Sub
    Private Sub NUP_2_ValueChanged(sender As Object, e As EventArgs) Handles NUP_2.ValueChanged
        建築簽核_tb.Text = NUP_2.Value
    End Sub
    Private Sub NUP_1_ValueChanged(sender As Object, e As EventArgs) Handles NUP_1.ValueChanged
        行政簽核_tb.Text = NUP_1.Value
    End Sub
    Private Sub 重新讀取_bt_Click(sender As Object, e As EventArgs) Handles 重新讀取_bt.Click
        分母 = MAX_nud.Value : 工程圖庫限制 = MAX_nud.Value : Set_伺服器狀態() : 修改_bt.PerformClick()
    End Sub
    Private Sub 圖片資料庫管理修改_bt_Click(sender As Object, e As EventArgs) Handles 圖片資料庫管理修改_bt.Click
        SQL_圖片資料庫管理查詢1()
        If dr.Read() Then : SQL_圖片資料庫管理查詢修改() : Else : SQL_圖片資料庫管理查詢新增() : End If : Set_工程圖片資料庫狀態() : MsgBox("存檔完成!!")
    End Sub
    Private Sub 文件資料庫管理修改_bt_Click(sender As Object, e As EventArgs) Handles 文件資料庫管理修改_bt.Click
        SQL_文件資料庫管理查詢1()
        If dr.Read() Then : SQL_文件資料庫管理查詢修改() : Else : SQL_文件資料庫管理查詢新增() : End If : Set_工程文件資料庫狀態() : MsgBox("存檔完成!!")
    End Sub
    Private Sub LOG檔截斷3_bt_Click(sender As Object, e As EventArgs) Handles LOG檔截斷3_bt.Click
        Try
            For I As Integer = 0 To 資料庫清單1_dgv.Rows.Count - 1
                PA = 資料庫清單1_dgv(0, I).Value.ToString : 圖片庫 = PA : SQL_連線字串_圖片資料庫() : SQL_主資料庫LOG檔案截斷()
            Next
            重新讀取_bt.PerformClick() : MsgBox("SQL Server Log檔 截斷 完成!!")
        Catch ex As Exception : MsgBox(ex.Message) : End Try
    End Sub
End Class